{
  "schema_version": "1.4.0",
  "id": "GHSA-66qh-59pw-qjhv",
  "modified": "2022-05-02T03:34:27Z",
  "published": "2022-05-02T03:34:27Z",
  "aliases": [
    "CVE-2009-2369"
  ],
  "details": "Integer overflow in the wxImage::Create function in src/common/image.cpp in wxWidgets 2.8.10 allows attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted JPEG file, which triggers a heap-based buffer overflow.  NOTE: the provenance of this information is unknown; the details are obtained solely from third party information.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-2369"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/51516"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-July/msg00693.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-July/msg00712.html"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/55520"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35351"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35913"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/35552"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1770"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-07-08T15:30:00Z"
  }
}